# $Revision: 1.93 $, $Date: 2008-03-02 19:06:10 $
%define		mod_name	python
%define 	apxs		/usr/sbin/apxs
Summary:	An embedded Python interpreter for the Apache Web server
Summary(cs.UTF-8):	Vestavěný interpret Pythonu pro WWW server Apache
Summary(da.UTF-8):	En indbygget Python-fortolker for webtjeneren Apache
Summary(de.UTF-8):	Ein eingebetteter Python-Interpreter für den Apache Web-Server
Summary(es.UTF-8):	Intérprete Perl para el servidor Web Apache
Summary(fr.UTF-8):	Interpréteur Python intégré pour le serveur Web Apache
Summary(id.UTF-8):	Interpreter Perl untuk web server Apache
Summary(is.UTF-8):	Perl túlkur fyrir Apache vefþjóninn
Summary(it.UTF-8):	Interprete Python integrato per il server Web Apache
Summary(ja.UTF-8):	Apache Web サーバー用の組込み Perl インタープリタ
Summary(nb.UTF-8):	En Python-fortolker for webtjeneren Apache
Summary(pl.UTF-8):	Wbudowany interpreter języka Python dla serwera WWW Apache
Summary(pt.UTF-8):	Um interpretador de Perl embebido para o servidor Web Apache
Summary(ru.UTF-8):	Встроенный интерпретатор Perl для WWW-сервера Apache
Summary(sk.UTF-8):	Interpreter jazyka Perl pre webový server Apache
Summary(sl.UTF-8):	Vključeni pythonski tolmač za spletni strežnik Apache
Summary(sv.UTF-8):	En inbyggd Python-interpretator för webbservern Apache
Name:		apache-mod_%{mod_name}
Version:	3.3.1
Release:	3
License:	Apache Group License
Group:		Networking/Daemons
Source0:	http://www.apache.org/dist/httpd/modpython/mod_%{mod_name}-%{version}.tgz
# Source0-md5:	a3b0150176b726bd2833dac3a7837dc5
Source1:	%{name}.conf
Patch0:		%{name}-httpd-not-needed.patch
Patch1:		%{name}-ldflags.patch
URL:		http://www.modpython.org/
BuildRequires:	%{apxs}
BuildRequires:	apache-devel >= 2.0.52-7
BuildRequires:	apr-devel >= 1:1.0.0
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	flex >= 2.5.31
BuildRequires:	python
BuildRequires:	python-devel >= 2.2
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.268
Requires:	apache(modules-api) = %apache_modules_api
Requires:	apr >= 1:1.0.0
# apache.py uses pdb module
Requires:	python-devel-tools
%requires_eq	python-libs
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		apachelibdir	%(%{apxs} -q LIBEXECDIR 2>/dev/null)
%define		apacheconfdir	%(%{apxs} -q SYSCONFDIR 2>/dev/null)/conf.d

%description
Mod_python is a module that embeds the Python language interpreter
within the server, allowing Apache handlers to be written in Python.

Mod_python brings together the versatility of Python and the power of
the Apache Web server for a considerable boost in flexibility and
performance over the traditional CGI approach.

%description -l cs.UTF-8
Balíček mod_python obsahuje modul, který umožní serveru Apache přímo
interpretovat CGI skripty napsané v jazyce Python. To vede k výraznému
zvýšení rychlosti jejich provedení.

%description -l de.UTF-8
Mod_python ist ein Modul, das den Python-Sprachinterpreter innerhalb
des Servers einbettet und es den Apache-Handlern ermöglicht, in Python
geschrieben zu werden.

Mod_python verbindet die Vielseitigkeit von Python und die
Leistungsstärke des Apache Web-Servers, was eine enorme Steigerung der
Flexibilität und Leistung gegenüber dem traditionellen CGI-Ansatz
bedeutet.

%description -l es.UTF-8
Mod_python es un módulo que activa el intérprete de Python en el
servidor, permitiendo que se escriban gestores para Apache en Python.

Mod_python proporciona la versatilidad y el poder del servidor web
Apache para acelerar considerablemente la flexibilidad y prestaciones
en comparación a una aproximación tradicional con CGI.

%description -l fr.UTF-8
Mod_python est un module qui intègre l'interpréteur de langage Python
dans le serveur, permettant aux gestionnaires Apache d'être écrits en
Python.

Mod_python conjugue la versatilité de Python et la puissance du
serveur Web Apache de façon à augmenter considérablement la
flexibilité et la performance par rapport à une approche CGI
traditionnelle.

%description -l it.UTF-8
Mod_python è un modulo che integra nel server l'interprete del
linguaggio Python, in modo che i programmi di gestione possano essere
scritti in Python.

Mod_python unisce in sé la versatilità di Python e la potenza del
server Web Apache, con un conseguente accrescimento di flessibilità e
un miglioramento notevole nelle prestazioni rispetto all'approccio
tradizionale CGI.

%description -l ja.UTF-8
Mod_python はサーバー内に Python
言語インタープリタを組み込んだモジュール です。これにより、Apache
ハンドラを Python で記述できます。 Mod_python は、Python の汎用性と
Apache Web サーバーのパワーを組み合わせる ことにより、従来の CGI
アプローチから柔軟性とパフォーマンスを大幅に向上させます。

%description -l pl.UTF-8
mod_python jest modułem osadzającym interpreter języka Python w
serwerze WWW Apache, umożliwiając mu obsługę kodu napisanego w
Pythonie.

mod_python łączy wszechstronność Pythona i moc Apache'a jako serwera
WWW, co daje zwiększoną elastyczność i zauważalną poprawę wydajności w
stosunku do tradycyjnego rozwiązania opartego na CGI.

%description -l sv.UTF-8
Mod_python är en modul som bygger in en interpretator för språket
Python i servern, och låter Apach-hanterare skrivas i Python.

Mod_python sammanför mångsidigheten hos Python och kraften hos
webbservern Apache till en avsevärd ökning av flexibiliteten och
prestandan jämfört med den traditionella CGI-metoden.

%prep
%setup -q -n mod_%{mod_name}-%{version}
%patch0 -p1
%patch1 -p1

%build
%{__aclocal}
%{__autoconf}
%configure \
	--with-apxs=%{apxs}
%{__make} dso

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{apachelibdir},%{apacheconfdir}}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install %{SOURCE1} $RPM_BUILD_ROOT%{apacheconfdir}/60_mod_python.conf
%py_postclean

%clean
rm -rf $RPM_BUILD_ROOT

%post
%service -q httpd restart

%postun
if [ "$1" = "0" ]; then
	%service -q httpd restart
fi

%files
%defattr(644,root,root,755)
%doc doc-html/* README COPYRIGHT NEWS CREDITS
%doc examples
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{apacheconfdir}/*_mod_%{mod_name}.conf
%attr(755,root,root) %{apachelibdir}/*.so
%dir %{py_sitedir}/mod_%{mod_name}
%attr(755,root,root) %{py_sitedir}/mod_%{mod_name}/*.so
%{py_sitedir}/mod_%{mod_name}/*.py[co]

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: apache-mod_python.spec,v $
Revision 1.93  2008-03-02 19:06:10  hawk
- release 3

Revision 1.92  2008-02-16 15:01:05  hawk
- fixed broken directory dep on /etc/httpd/httpd.conf
- release 2

Revision 1.91  2008-02-05 15:58:32  matkor
- Version 3.3.1-1.

Revision 1.90  2007-12-09 10:42:23  glen
- apache-apxs -> %{apxs} in BR

Revision 1.89  2007-06-07 10:53:38  shadzik
- BR s@%{apxs}@apache-apxs@g

Revision 1.88  2007/02/12 21:23:47  glen
- tabs in preamble

Revision 1.87  2007/02/12 00:48:37  baggins
- converted to UTF-8

Revision 1.86  2006/11/06 10:13:40  matkor
- Release 2. STBR for Ac. Missing dep when upgrading to python 2.4.4.

Revision 1.85  2006/08/07 22:36:58  glen
- rel 1

Revision 1.84  2006/08/07 22:11:00  darekr
- updated to 3.2.10

Revision 1.83  2006/04/14 17:07:56  glen
- restart apache in %postun rather in %preun as the config file, loading module
  is still there and module will be loaded after package is uninstalled, which
  later causes missing configuration file errors.

Revision 1.82  2006/04/01 21:49:23  glen
- rel 3

Revision 1.81  2006/03/21 15:01:10  glen
- lib64 patch is unneccessary, rel 2

Revision 1.80  2006/03/21 14:44:56  glen
- update to 3.2.8 by Kamil Jakubowski
- reported to be working, rel 1

Revision 1.79  2006/02/03 10:38:11  glen
- fix ldflags to link with shared libpython
- SOA#1, rel 5

Revision 1.78  2006/02/01 22:39:56  glen
- apache module does not require python binary
- add examples dir to %doc

Revision 1.77  2006/02/01 22:16:46  glen
- no EAPI in apache2 (it was apache1 extension)

Revision 1.76  2006/01/30 17:39:10  glen
- use %service

Revision 1.75  2005/12/27 00:43:22  glen
- unified

Revision 1.74  2005/12/21 22:44:59  glen
- rel 4 (rebuild with new apache)

Revision 1.73  2005/11/21 09:31:32  matkor
- Fix for arch independent modules location. BR: rpm-pythonprov is back. Release 3. STBR.

Revision 1.72  2005/10/16 18:04:50  arekm
- rel 2

Revision 1.71  2005/03/12 12:32:37  troll
- mass commit: remove obsolete BR: rpm-pythonprov

Revision 1.70  2005/02/15 12:27:06  matkor
- Version 3.1.4-1. Fixes CAN-2005-0088. STBR to Ac-security.

Revision 1.69  2004/12/23 13:44:44  saq
- don't require runnable httpd
- release 6 for rebuild with python 2.4

Revision 1.68  2004/10/16 18:48:54  qboosh
- proper deps for apr 1.0.0

Revision 1.67  2004/10/16 10:20:29  zboczuch
- apr-status-is-success patch (macro APR_STATUS_IS_SUCCESS was removed from
  libapr; use APR_STATUS constant instead)
- now it works with apr >= 1.0
- rel. 5

Revision 1.66  2004/10/10 12:05:10  havner
- rel up for rebuild with new apache/apr

Revision 1.65  2004/09/22 20:21:54  jpc
- BR: apache (not only devel)

Revision 1.64  2004/09/19 18:39:33  radek
- unified

Revision 1.63  2004/07/28 08:03:13  troll
- removed %include /usr/lib/rpm/macros.python

Revision 1.62  2004/05/12 10:11:40  qboosh
- comment for python-devel-tools R

Revision 1.61  2004/05/12 10:10:33  qboosh
- release 3

Revision 1.60  2004/05/01 22:58:54  leafnode
- corrected Requires

Revision 1.59  2004/03/03 14:59:25  wrobell
- simplified and fixed installation procedure (now it works)
- rel. 2

Revision 1.58  2004/02/25 16:21:10  wrobell
- ver. 3.1.3

Revision 1.57  2004/02/18 15:10:25  qboosh
- s/no/nb/ in Summary langs

Revision 1.56  2004/01/25 19:22:33  undefine
- optional patch to use /usr/lib64 instead of /usr/lib - allow build on amd64

Revision 1.55  2003/12/17 19:33:53  qboosh
- added right-mutex-perms patch (session handling fix from mod_python CVS,
  found by Marcin Gajda)
- release 2

Revision 1.54  2003/11/10 16:08:02  matkor
- Reverted last lame commit.

Revision 1.53  2003/11/10 16:02:17  matkor
- Version 3.13. Release 5.1. Fails on configure, I don't know how to
  fix it:  configure: error: Qt (>= Qt 2.2.2) (libraries) not found.

Revision 1.52  2003/10/28 15:40:43  wrobell
- ver. 3.1.2b

Revision 1.51  2003/10/28 09:57:46  arekm
- update apr breq

Revision 1.50  2003/10/07 23:12:31  wrobell
- ver. 3.1.0a

Revision 1.49  2003/10/07 22:09:09  wrobell
- rel. 3 to build with new apr

Revision 1.48  2003/09/14 20:24:14  djrzulf
- added patch that allow to compile it (LONG -> PY_LONG),

Revision 1.47  2003/08/06 16:12:16  kloczek
- może wrescie ktoś wykasuje to konto ?

Revision 1.46  2003/07/08 13:02:54  qboosh
- more specific Requires

Revision 1.45  2003/07/07 04:23:49  blues
- many small fixes, inspired by kloczek

Revision 1.44  2003/06/29 14:25:20  blues
- cosmetics

Revision 1.43  2003/06/11 20:39:14  misi3k
- updated to 3.0.3

Revision 1.42  2003/05/26 16:24:19  malekith
- massive attack: adding Source-md5

Revision 1.41  2003/05/25 05:45:34  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.40  2003/02/28 11:12:49  wrobell
- improved pl summary
- rel. 1, stb

Revision 1.39  2003/02/27 15:24:11  wrobell
- added configuration file
- fixed install requirements

Revision 1.38  2003/02/27 15:12:05  wrobell
- removed out of date patches

Revision 1.37  2003/02/27 09:53:59  wrobell
- ver. 3.0.1
- mod_python 3.0 is donated to Apache Software Foundation (license has changed)
- it should work when linked with shared Python library
- added patch to not compile Python modules with Makefile; let's do it
  manually - the patch replaces Makefile-in.patch
- it works only with apache 2.0.x (or later maybe, too)
- nfy

Revision 1.36  2002/12/13 15:26:08  ankry
- adapterized

Revision 1.35  2002/10/16 14:33:38  matkor
- configure.in static lib layout fix added.

Revision 1.34  2002/10/14 23:47:12  matkor
- Dynamic link patch reverted. Dynamic build makes apache segfault on all my i686 machines
- No reports on working dyn. linked mod_python collected on IRC/mailing lists.

Revision 1.33  2002/10/10 11:40:08  marcus
- use new %doc

Revision 1.32  2002/10/09 13:14:17  kloczek
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

Revision 1.31  2002/08/13 15:06:22  grzegorz
- sed -e "s/%{_sbindir}\/apxs -e/\%{apxs} -e/"

Revision 1.30  2002/05/26 17:12:31  kloczek
- updated to 2.7.8 (security updated)
- merge cleanup patch from rawhide.

Revision 1.29  2002/05/21 23:12:41  kloczek
- perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
     s/^autoconf/\%\{__autoconf\}/"

Revision 1.28  2002/04/25 15:46:31  arturs
- fixed a small typo

Revision 1.27  2002/04/12 14:03:30  misiek
- security update to 2.7.7; not tested yet

Revision 1.26  2002/04/11 13:46:21  wrobell
- rel. 6, stb

Revision 1.25  2002/04/11 13:45:31  wrobell
- use pyrequires_eq instead of requires_eq macro (massive attack!)

Revision 1.24  2002/02/22 23:28:41  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.23  2002/02/17 21:09:24  ankry
- release 5

Revision 1.22  2002/02/17 19:01:43  ankry
- added %{apxs} local macro to avoid adapter problems
- fix use of %{apxs} and %{_sbindir}/apxs
- added BR %{apxs} and Prereq %{_sbindir}/apxs (if necessary); removed BR apache

Revision 1.21  2002/02/16 14:04:54  ankry
- added summaries/descriptions from KSI/RH
- adapterized

Revision 1.20  2002/02/06 08:41:19  marcus
- small fix in make install

Revision 1.19  2002/02/06 08:27:48  marcus
- added aclocal

Revision 1.18  2002/02/06 07:30:33  kloczek
- cleanups.

Revision 1.17  2002/02/04 05:24:47  kloczek
- release 4: rebuild against python 2.2.

Revision 1.16  2002/01/18 02:12:21  kloczek
- perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.15  2001/11/22 15:08:22  filon
- corrected %doc - adds html documetation
- release 3

Revision 1.14  2001/11/14 08:38:03  filon
- added -DEAPI flag fro compiler, it is needed by apache
- release 2

Revision 1.13  2001/11/12 15:15:11  wrobell
- use standard python macros

Revision 1.12  2001/10/11 12:14:48  kura
- release 1
- updated to 2.7.6

Revision 1.11  2001/10/11 11:56:38  qboosh
- adapterized, pl translations, BuildRequires: autoconf

Revision 1.10  2001/02/14 11:35:33  wiget
- updated to 2.7.2, not tested yet

Revision 1.9  2000/12/13 11:20:14  wiget
- version 2.6.4, update build/install procedure

Revision 1.8  2000/07/04 21:17:29  kloczek
- cosmetics.

Revision 1.7  2000/07/04 19:35:11  mis
- updated to 2.4.1

Revision 1.6  2000/06/21 08:34:58  mis
- complete docs

Revision 1.5  2000/06/20 16:06:23  mis
- updated to 2.4

Revision 1.4  2000/06/07 08:23:46  mis
- can be build with rh-like python package

Revision 1.3  2000/06/05 08:15:36  mis
- updated to 2.2

Revision 1.2  2000/05/31 11:42:32  mis
- updated to 2.1

Revision 1.1  2000/05/26 16:44:34  mis
- initial version (based on apache-mod_cvs.spec)
